import { Manager } from './';
export declare class PageLabelsManager extends Manager {
    private _pageLabels?;
    init(): void;
    reset(): void;
    get pageLabels(): undefined | string[];
    set pageLabels(labels: undefined | string[]);
    get currentPageLabel(): string | null;
    set currentPageLabel(val: string | null);
    pageLabelToPageNumber(label?: string): null | number;
    private getPageLabels;
}
